## org.exist.validation
Class XmlLibraryChecker

    java.lang.Object
      org.exist.validation.XmlLibraryChecker

public class XmlLibraryChecker
extends java.lang.Object

Class for checking dependencies with XML libraries.

Author:
  Adam Retter <adam.retter@devon.gov.uk>

Constructor Summary
`XmlLibraryChecker()`

Method Summary
`static boolean` `hasValidParser()` Checks to see if a valid XML Parser exists
`static boolean` `hasValidParser(java.lang.StringBuffer message)` Checks to see if a valid XML Parser exists
`static boolean` `hasValidTransformer()` Checks to see if a valid XML Transformer exists
`static boolean` `hasValidTransformer(java.lang.StringBuffer message)` Checks to see if a valid XML Transformer exists

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlLibraryChecker

    public XmlLibraryChecker()

Method Detail

### hasValidParser

    public static boolean hasValidParser()

  Checks to see if a valid XML Parser exists

  Returns:
    boolean true indicates a valid Parser was found, false otherwise

### hasValidParser

    public static boolean hasValidParser(java.lang.StringBuffer message)

  Checks to see if a valid XML Parser exists

  Parameters:
    `message` - Messages about the status of available Parser's will be appended to this buffer
  Returns:
    boolean true indicates a valid Parser was found, false otherwise

### hasValidTransformer

    public static boolean hasValidTransformer()

  Checks to see if a valid XML Transformer exists

  Returns:
    boolean true indicates a valid Transformer was found, false otherwise

### hasValidTransformer

    public static boolean hasValidTransformer(java.lang.StringBuffer message)

  Checks to see if a valid XML Transformer exists

  Parameters:
    `message` - Messages about the status of available Transformer's will be appended to this buffer
  Returns:
    boolean true indicates a valid Transformer was found, false otherwise

Copyright (C) Wolfgang Meier. All rights reserved.